com.sun.grid.jsv

## Enum JobDescription.Verification

- java.lang.Object
- - java.lang.Enum<JobDescription.Verification>
  - - com.sun.grid.jsv.JobDescription.Verification

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JobDescription.Verification>
  Enclosing class:
    JobDescription

      public static enum JobDescription.Verification
      extends java.lang.Enum<JobDescription.Verification>

  The possible values for the verification property.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `NONE`
    `POKE`
    `VERIFY`
    `WARNING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JobDescription.Verification` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JobDescription.Verification[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final JobDescription.Verification NONE

    - #### ERROR

          public static final JobDescription.Verification ERROR

    - #### WARNING

          public static final JobDescription.Verification WARNING

    - #### VERIFY

          public static final JobDescription.Verification VERIFY

    - #### POKE

          public static final JobDescription.Verification POKE

  - ### Method Detail

    - #### values

          public static JobDescription.Verification[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JobDescription.Verification c : JobDescription.Verification.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JobDescription.Verification valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null